Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.translator
Interface DIGRenderer

All Known Implementing Classes:
  DefaultDIGRenderer

    public interface DIGRenderer

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 4, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Most of the methods of the DIGRenderer produce XML document elements to represent different Protege-OWL classes in the DIG format. The methods typically take some kind of RDFSClass, RDFResource etc. and render it into DIG. Depending on the concrete subclass of the renderer, the Protege-OWL Clses may or may not be representable in DIG. If an element cannot be generated to represent a Protege-OWL Class then the method will return `false` if an element (or elements) were successfully generated to represent the Class, RDFIndividual etc. then the return value is `true` and the elements will be appended to the specified parent node.

Method Summary
`boolean` | `render(OWLAllValuesFrom allRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLCardinality cardiRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLComplementClass complementCls, Document doc, Node parentNode)`
`boolean` | `render(OWLDatatypeProperty slot, Document doc, Node parentNode)`
`boolean` | `render(OWLEnumeratedClass enumerationCls, Document doc, Node parentNode)`
`boolean` | `render(OWLHasValue hasRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLIntersectionClass intersectionCls, Document doc, Node parentNode)`
`boolean` | `render(OWLMaxCardinality maxCardiRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLMinCardinality minCardiRestriction, Document doc, Node parentNode)`
`void` | `render(OWLModel kb, Document doc, Node parentNode)`
`boolean` | `render(OWLNamedClass cls, Document doc, Node parentNode)`
`boolean` | `render(OWLObjectProperty slot, Document doc, Node parentNode)`
`boolean` | `render(OWLSomeValuesFrom someRestriction, Document doc, Node parentNode)`
`boolean` | `render(OWLUnionClass unionCls, Document doc, Node parentNode)`
`boolean` | `render(RDFIndividual instance, Document doc, Node parentNode)`
`void` | `renderAxioms(OWLNamedClass cls, Document doc, Node parentNode)`
`void` | `renderAxioms(OWLProperty property, Document doc, Node parentNode)`
`void` | `renderAxioms(RDFIndividual instance, Document doc, Node parentNode)`
`void` | `setReasonerIdentity(DIGReasonerIdentity reasonerIdentity)` Sets the DIG Reasoner Identity that will constrain the representation when OWLModel elements are translated to DIG.

Method Detail

### render

    void render(OWLModel kb,
                Document doc,
                Node parentNode)
                throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLNamedClass cls,
                   Document doc,
                   Node parentNode)

### render

    boolean render(OWLSomeValuesFrom someRestriction,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLAllValuesFrom allRestriction,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLHasValue hasRestriction,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLMinCardinality minCardiRestriction,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLMaxCardinality maxCardiRestriction,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLCardinality cardiRestriction,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLUnionClass unionCls,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLComplementClass complementCls,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLIntersectionClass intersectionCls,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLEnumeratedClass enumerationCls,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLObjectProperty slot,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(OWLDatatypeProperty slot,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### render

    boolean render(RDFIndividual instance,
                   Document doc,
                   Node parentNode)
                   throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderAxioms

    void renderAxioms(OWLNamedClass cls,
                      Document doc,
                      Node parentNode)
                      throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderAxioms

    void renderAxioms(OWLProperty property,
                      Document doc,
                      Node parentNode)
                      throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### renderAxioms

    void renderAxioms(RDFIndividual instance,
                      Document doc,
                      Node parentNode)
                      throws DIGReasonerException

  Throws:
    `DIGReasonerException`

### setReasonerIdentity

    void setReasonerIdentity(DIGReasonerIdentity reasonerIdentity)

  Sets the DIG Reasoner Identity that will constrain the representation when OWLModel elements are translated to DIG.

  Parameters:
    `reasonerIdentity` - - The reasoner identity, or `null` if the translation to DIG should not be constrasined by the capabilities of a particular reasoner.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.